<p-panel header="Report Permintaan Pembelian" [toggleable]="false" *ngIf="!isViewCetakan">
    <div>
        <div style="margin-top: 10px; width: 100%;">
            <div class="ui-g">
                <div class="ui-g-12">
                    <div class="ui-g-6">
                        <div>
                            <label>Tanggal Dari</label>
                            <p-calendar [showIcon]="true" [(ngModel)]="tgl1"></p-calendar>
                        </div>
                    </div>

                    <div class="ui-g-6">
                        <div>
                            <label>Tanggal Sampai</label>
                            <p-calendar [showIcon]="true" [(ngModel)]="tgl2">
                            </p-calendar>
                        </div>
                    </div>
                    <div class="ui-g-4">
                        <label>Jenis Laporan</label>
                        <div>
                            <p-dropdown [options]="types" [(ngModel)]="selectedType" id="field_TYPE">
                            </p-dropdown>
                        </div>
                    </div>
                  
                </div>
            </div>
        </div>
    </div>
    <div>
        <div>
            <button pButton type="submit" label="Download Excel" icon="fa-print"
                class="ui-button-primary flat-label-button" (click)="exportExcel(tgl1, tgl2)">
            </button>
            <button pButton label="Kembali" class="ui-button-primary flat-label-button" (click)="backMainPage()">
            </button>
        </div>
    </div>
    <div style="margin-bottom: 300px;"></div>
</p-panel>
<p-confirmDialog></p-confirmDialog>